<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Exploiting Heap Grooming Techniques — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --binary <val> --allocator <val>` | Analyze heap allocator and layout |
| `groom --binary <val> --strategy <val>` | Groom heap to desired state |
| `exploit --binary <val> --primitive <val>` | Exploit groomed heap layout |
| `report --binary <val> --format <val>` | Generate heap exploitation report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--binary` | string | Yes | Binary parameter |
| `--allocator` | string | Yes | Allocator parameter |
| `--strategy` | string | Yes | Strategy parameter |
| `--primitive` | string | Yes | Primitive parameter |
| `--format` | string | Yes | Format parameter |
